libhybris breaks mesa (cannot find libwayland-egl.so.1)

Bug #1206371 reported by Chupligin Sergey on 2013-07-30
164
This bug affects 26 people
Affects Status Importance Assigned to Milestone
kde-workspace (Ubuntu)
Undecided
Unassigned
libhybris (Ubuntu)
High
Unassigned

Bug Description

in last update of 13.10 i can't run kwin because libwayland-egl.so.1 not found on system

pu5htiu (pu5htiu) on 2013-08-12
Changed in kubuntu-ppa:
status: New → Confirmed
summary: - kwin not find libwayland-egl.so.1
+ kwin is not starting: cannot find libwayland-egl.so.1

fixed by making the following link:

ln -s /usr/lib/x86_64-linux-gnu/mesa-egl/libwayland-egl.so.1 /usr/lib/libwayland-egl.so.1

description: updated
mrl586 (mrl586) wrote :

I have this bug on Kubuntu 13.04.

Shiki (shiki) wrote :

The symlink method didn't help for me. The update just messed up my system, so I had to use ppa-purge.
KDE-Backports? Never again.

Philip Muškovac (yofel) on 2013-08-19
Changed in kubuntu-ppa:
importance: Undecided → High
Philip Muškovac (yofel) wrote :

Ok, so the actual problem seems to be that libhybris considers itself more important than mesa but doesn't ship any wayland support

$ LANG=C sudo update-alternatives --display x86_64-linux-gnu_egl_conf
x86_64-linux-gnu_egl_conf - auto mode
  link currently points to /usr/lib/x86_64-linux-gnu/libhybris-egl/ld.so.conf
/usr/lib/x86_64-linux-gnu/libhybris-egl/ld.so.conf - priority 1000
/usr/lib/x86_64-linux-gnu/mesa-egl/ld.so.conf - priority 500
Current 'best' version is '/usr/lib/x86_64-linux-gnu/libhybris-egl/ld.so.conf'.

Could anyone affected by this please run this command to check whether it's always the same issue:
$ LANG=C sudo update-alternatives --display x86_64-linux-gnu_egl_conf

Thanks!

mandachuva (gabrgomes) wrote :

$LANG=C sudo update-alternatives --display x86_64-linux-gnu_egl_conf
x86_64-linux-gnu_egl_conf - auto mode
  link currently points to /usr/lib/x86_64-linux-gnu/mesa-egl/ld.so.conf
/usr/lib/x86_64-linux-gnu/mesa-egl/ld.so.conf - priority 500
Current 'best' version is '/usr/lib/x86_64-linux-gnu/mesa-egl/ld.so.conf'.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kde-workspace (Ubuntu):
status: New → Confirmed
Sergio Callegari (callegar) wrote :

Any way to fix this with the kubuntu ppa on raring?

Everything installed fine, but:

1) kwin does not start
2) There is no libwayland-egl anywhere (so the symbolic link is useless)
3) There is no libhybris either

Can someone recompile kwin on the ppa without wayland?

Sergio Callegari (callegar) wrote :

Looked into it a bit. Newer kwin on raring is actually OK. It is not OK when using recent builds of mesa from ppas, where there is no wayland.

Now, the question is... why libwayland-egl is linked directly into kwin (i.e. shown by ldd on kwin)? Wouldn't it be better to have it as something that is loaded only when needed?

Philip Muškovac (yofel) wrote :

Hm, you would have to file an upstream bug against kwin to make wayland an on-demand requirement
https://bugs.kde.org/enter_bug.cgi?product=kwin&format=guided

We're building with wayland support enabled as Martin Gräßlin requested it, so if anyhow possible we'll keep it like that (as wayland will be required for kwin on qt5 anyway).
If people remove that file in some PPA builds of mesa then there's not much we can do about it.

Philip Muškovac (yofel) on 2013-08-24
Changed in kubuntu-ppa:
importance: High → Medium
Philip Muškovac (yofel) wrote :

Adding a libhybris task.
If it's supposed to be preferred over mesa (with a priority of 1000), then it shouldn't break existing mesa users.

> you would have to file an upstream bug against kwin to make wayland an on-demand requirement https://bugs.kde.org/enter_bug.cgi?product=kwin&format=guided

Don't do that, it would end up as RESOLVED WONTFIX. If we are linked against a lib it needs to be present. That's a downstream propblem.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libhybris (Ubuntu):
status: New → Confirmed
Philip Muškovac (yofel) wrote :

Closing the kde bug tasks, kwin works as expected.

Changed in kubuntu-ppa:
status: Confirmed → Invalid
Changed in kde-workspace (Ubuntu):
status: Confirmed → Invalid
aanno (thomas-pasch) wrote :

Great,

bug is invalid, but kwin still does not start. Go on like this!

Harald Sitter (apachelogger) wrote :

It would be terribly nice if you could move yourself to actually read the comments on bug reports before making comments. As was pointed out in the previous comments this is not an issue with kwin, the kwin package, or the KDE Plasma Workspace. It is an issue with libhybris and needs to be addressed in libhybris which is why the bug task for libhybris is not marked invalid whereas the related kwin tasks are.

I'll thank you to respond to discourse rather than actions in the future.

Used pu5htiu workaround, but I had to install "libegl1-mesa-drivers" first, so the complete workaround for me is:
sudo apt-get install libegl1-mesa-drivers
ln -s /usr/lib/x86_64-linux-gnu/mesa-egl/libwayland-egl.so.1 /usr/lib/libwayland-egl.so.1.

Could this be a permanent fix, i.e: make libhybris depend on libegl1-mesa-drivers?

Elf Kellogg (elf-h) wrote :

Ran into the same problem after updating a fresh install of Kubuntu 13.10 (64).
Using the workaround and linking libwayland worked fine for me.

So ...
sudo apt-get install libegl1-mesa-drivers ## Were already installed and latest version.
ln -s /usr/lib/x86_64-linux-gnu/mesa-egl/libwayland-egl.so.1 /usr/lib/libwayland-egl.so.1 ## Yeah. That was missing.

Bob Vincent (pillarsdotnet) wrote :

The correct fix is:

sudo apt-get install libegl1-mesa-drivers
cd /etc/alternatives
sudo update-alternatives --set *-gnu_egl_conf /usr/lib/*/mesa-egl/ld.so.conf
sudo ldconfig

Changed in libhybris (Ubuntu):
importance: Undecided → High

Have a bug with this missing lib with totem.

The fix on #1 and #21 posts resolve both the bug for Ubuntu-with-Unity/Totem

Rolf Leggewie (r0lf) on 2014-03-06
summary: - kwin is not starting: cannot find libwayland-egl.so.1
+ libhybris breaks mesa (cannot find libwayland-egl.so.1)
Changed in libhybris (Ubuntu):
milestone: none → ubuntu-14.03
Iain Lane (laney) wrote :

You can actually turn on wayland support in libhybris. I'm attaching a debdiff here that does that, and makes totem and unity-control-center's user accounts panel work for me.

I tried to speak to the guys involved with libhybris to figure out if it's possible to only provide the alternate dynamically (when you have android), but it seems to not be so easy as the package installation for the images is done on a buildd which would break such a check.

Hmm, I suppose you could have an override though? livecd-rootfs knows that it wants to enable the alternate so it could just do that itself. Then you could indeed lower the priority in libhybris to below mesa. Ricardo, does that sound possible? Or if not, a diff like the attached?

tags: added: patch
Doug McMahon (mc3man) wrote :

On ubuntu 14.04 this occurs when installing libhybris though -
If the alternative is switched to manual for libhybris-egl/ld.so.conf then the broken apps, (totem, cheese, mpv, ect.) will work. After switching to manual it can then be switched back to auto & the previously affected apps still open .

Ricardo Salveti (rsalveti) wrote :

My main question is why libhybris is needed at all? Libhybris should only be used if you have the android compatible layer around, as it's expected to have a higher priority than mesa (currently used mostly by ubuntu touch).

If you really want to use libhybris, then I guess laney's patch will get it to work for you, otherwise we need to know who is depending on it.

Iain Lane (laney) wrote :

Some parts of the unity8 stack depend on it (try installing the unity8 Mir desktop session without libhybris). That should be fixed somehow I guess, but for me the more pressing issue is that there's a package around which borks part of your desktop system if you install it.

Do you not like my suggested fix of setting the alternative in the image build process?

no longer affects: kubuntu-ppa

#21 solved the problem (libegl1-mesa-drivers was already installed in newest version) on 14.04 32-bit fresh install from 2014-03-14.
BB

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libhybris - 0.1.0+git20131207+e452e83-0ubuntu10

---------------
libhybris (0.1.0+git20131207+e452e83-0ubuntu10) trusty; urgency=medium

  [ Iain Lane ]
  * Turn on wayland support to provide libwayland-egl, which mesa in Ubuntu
    relies on. This makes libhybris a viable provider of the
    <deb-multi-arch>_egl_conf alternate. (LP: #1206371)

  [ Ricardo Salveti de Araujo ]
  * debian/rules: changing default alternatives priority to be lower than
    the one provided by mesa (EGL/GLES), avoid breaking normal desktop
    (LP: #1232962)
 -- Ricardo Salveti de Araujo <email address hidden> Tue, 18 Mar 2014 21:47:34 -0300

Changed in libhybris (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers